body {
    width: 100%;
}
body *{
    font-size: 1rem;
}
.container{
    background-color: white;
    width: 100%;
    display: flex;
    justify-content: center;
    min-height: 100vh;
}
.contents-wrap{
    width: 30rem;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px 30px;
}
.logo {
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    gap: 1rem;
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--primary-color);
}
.logo img{
    height: 35px;
}
.idpw_div, .login_div{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    gap: 30px;
    padding: 35px 0px 30px 0px;
}
.login_div{
    gap: .7rem;
}
input{
    width: 100%;
    border: none;
    border-bottom: 1px solid var(--disabled-color);
    height: 3rem;
}
input::placeholder{
    color: var(--disabled-color);
}
input:focus {
    outline: none;
}
button{
    height: 70px;
    border-radius: .4rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: .01rem solid;
}
.login_btn{
    background-color: var(--primary-color);
    color: white;
    font-weight: bold;
}
.container * {
    white-space: nowrap;
}

.auto-div{
    width: 100%;
    margin-top : -30px;
}
.auto-div label{
    width: 100%;
    display: flex;
    align-items: center;
    font-size : 1rem;
    font-weight : 600;
    justify-content: flex-end;
}
.auto-div label:hover{
    cursor : pointer;
    opacity : 0.7;
}
.auto-div input{
    width: 15px;
    margin: 0;
    margin-right: 10px;
}
.auto-div input:hover{
    cursor : pointer;
}
.w100{
    width: 100%; position: relative;
}
i{
    position:absolute; left:50%; right:50%; bottom: 0;
    border-bottom: 2px solid var(--primary-color);
    transition:all .3s;
}
.w100 > input:focus + i {left:0; right:0; transition:all .3s;}
.none{
    display: none;
}